Bug 1024809 - createrepo_c: Use Python 3 instead of Python 2
createrepo_c: Use Python 3 instead of Python 2
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: createrepo_c (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Mlcoch
Fedora Extras Quality Assurance
:
Depends On: PY3DNF
Blocks: PY3PACKAGER PYTHON3
  Show dependency treegraph
 
Reported: 2013-10-30 09:21 EDT by Miro Hrončok
Modified: 2016-01-05 10:47 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-05 10:47:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2013-10-30 09:21:04 EDT
Hi, we would like to use Python 3 on the default installation instead of Python 2 on Fedora 22.

https://fedoraproject.org/wiki/Changes/Python_3_as_Default

While this package is not in minimal buildroot, it belongs to fedora-packager stack. We would like to switch to Python 3 there as well.

The goal here is, that for F22 you should use Python 3 instead of Python 2 in this package.

Please, help us update to Python 3 flawlessly.

Check if upstream already support Python 3, if yes, use it and add the support to the package.

If upstream doesn't support Python 3 yet, encourage it to do so by sending patches and offering your help.

When upstream is dead or unwilling to support Python 3, say so and we can solve the problem together.

Chances are, that you ARE the upstream. In that case, everything is easier, just do it yourself.

There is a table on wiki, that should list your package. Chances are, that you can see an upstream link that covers the problem. Anyway, please update the table with information you know.

https://fedoraproject.org/wiki/User:Churchyard/python3#fedora-packager

I offer my help with this task, so if you have no idea, how to work on this, or it is just not your priority, don't hesitate to ask for help.

(As you've already realized, this is a bulk text, so if something is not quite exact about your package, sorry for that, just ask)
Comment 1 Jan Zeleny 2013-10-30 09:30:52 EDT
Note that createrepo_c will be the default in F22 (or at least we are working towards that goal). Createrepo shares some parts of code with yum itself, not sure how easy would be to migrate that codebase.
Comment 2 Miro Hrončok 2013-10-30 09:45:00 EDT
So should we close this?
Comment 3 Jan Zeleny 2013-10-30 09:51:50 EDT
Let's keep this open for tracking purposes, there are still some uncertainties with createrepo_c. Once we are 100% sure it will make it to F22, we can close this one.
Comment 4 Jaroslav Reznik 2015-03-03 10:10:23 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 5 Robert Kuska 2015-06-02 04:09:31 EDT
What is the status with createrepo_c please?
Comment 6 Jan Zeleny 2015-06-02 04:47:08 EDT
Forwarding to Tomas Mlcoch who is the main developer. I believe everything works in createrepo_c except for delta rpms ...
Comment 7 Tomas Mlcoch 2015-06-02 07:08:39 EDT
This is a first time I see this bug. Well, createrepo_c doesn't support python 3 now, but it shouldn't be a big deal to implement this. I'll put this into my backlog.
Comment 8 Robert Kuska 2015-11-27 05:44:55 EST
Shouldn't this be switched to createrepo_c?
Comment 9 Tomas Mlcoch 2016-01-05 10:47:59 EST
Rawhide build of createrepo_c with Python 3 support is available:

http://koji.fedoraproject.org/koji/taskinfo?taskID=12419979

Note You need to log in before you can comment on or make changes to this bug.